# $Revision: 1.14 $, $Date: 2005/09/17 10:54:14 $
Summary:	A lightweight, but fully functional curses frontend to gdb
Summary(pl):	Lekki, ale w peni funkcjonalny frontend do gdb oparty na ncurses
Name:		cgdb
Version:	0.5.3
Release:	3
License:	GPL
Group:		Development/Debuggers
Source0:	http://dl.sourceforge.net/cgdb/%{name}-%{version}.tar.gz
# Source0-md5:	51adf1db0307adaba24336ef3a18e0c3
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-missing_includes.patch
Patch2:		%{name}-am_no_debug.patch
URL:		http://cgdb.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	readline-devel
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGDB is a curses-based interface to the GNU Debugger (GDB). The goal
of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features. The interface is designed to deliver the
familiar GDB text interface, with a split screen showing the source as
it executes. The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%description -l pl
CGDB to oparty na curses interfejs do GNU Debuggera (GDB). Celem CGDB
jest bycie lekkim i reaktywnym, nie obcionym niepotrzebnymi
moliwociami. Interfejs zosta tak zaprojektowany, by dostarczy
znajomy interfejs tekstowy GDB z podzielonym ekranem pokazujcym
rda wykonywanego kodu. Interfejs uytkownika jest modelowany na
klasyczny uniksowy edytor tekstu - vi. Znajcy vi uywajc CGDB
powinni czu si jak w domu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CPPFLAGS=" -I/usr/include/ncurses "
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# pass noinst_bindir inside buildroot - don't mess in $TMPDIR/../../..
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	noinst_bindir=/progs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cgdb.spec,v $
Revision 1.14  2005/09/17 10:54:14  arekm
- readline 5.0

Revision 1.13  2005/08/24 22:13:11  twittner
- get rid of debug flag (-g) during normal build (-am_no_debug.patch)
- added missing #include <stdio.h> (build failed after am/ac regeneration,
  -missing_includes.patch
- regenerate am/ac (CPPFLAGS hack is still needed)
- rel. 2

Revision 1.12  2005/08/24 17:37:24  adamg
- updated to 0.5.3

Revision 1.11  2005/07/23 14:52:22  jareq
- updated to 0.5.2
- rel 1
- STBR

Revision 1.10  2005/04/19 17:42:53  darekr
- updated to 0.5.1

Revision 1.9  2004/07/31 22:06:23  qboosh
- updated to 0.5.0

Revision 1.8  2004/05/11 13:27:05  jareq
- updated to 0.4.2

Revision 1.7  2004/05/01 19:32:48  adamg
- updated to 0.4.1

Revision 1.6  2004/01/18 07:54:52  undefine
- BR: automake

Revision 1.5  2004/01/18 07:54:19  undefine
- copy config.sub to allow build on amd64

Revision 1.4  2003/11/19 23:11:55  witekfl
- added home_etc.patch
- rel 2

Revision 1.3  2003/10/29 10:45:22  adamg
- updated to 0.4.0

Revision 1.2  2003/09/02 09:04:32  qboosh
- BR: readline-devel

Revision 1.1  2003/09/02 08:43:15  qboosh
- new
